<template>
  <div class="_gp-error-page">
    <h2>{{ $t('js.error_pages.404.title') }}</h2>

    <rui-toolbar class="_gp-error-page__actions">
      <rui-button icon="caret-left" :caption="$t('generic.back')" @click="$router.go(-1)" />
      <rui-button icon="home" href="/" :caption="$t('js.error_pages.404.home')" />
      <rui-button icon="map-pin" variant="helping" to="/" :caption="$t('js.error_pages.404.gardens')" />
    </rui-toolbar>

    <img :src="imagePath" :alt="$t('js.error_pages.404.image')" class="_gp-error-page__image">
  </div>
</template>

<script>
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'
import RuiToolbar from '@experiments-labs/rise_ui/src/components/Toolbar/Toolbar.vue'

import image from '../../../assets/images/not_found.svg'

/**
 * 404 error page
 */
export default {
  name: 'Gpa404Page',
  components: { RuiButton, RuiToolbar },
  data () {
    return {
      imagePath: image,
    }
  },
}
</script>
